depends = ('ITKPyBase', 'ITKStatistics', 'ITKImageGrid', 'ITKConnectedComponents', )
templates = (
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS2SSFF', True, 'itk::VectorImage< signed short,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS2UCFF', True, 'itk::VectorImage< signed short,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2SSFF', True, 'itk::VectorImage< unsigned char,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC2UCFF', True, 'itk::VectorImage< unsigned char,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2SSFF', True, 'itk::VectorImage< float,2 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF2UCFF', True, 'itk::VectorImage< float,2 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS3SSFF', True, 'itk::VectorImage< signed short,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVISS3UCFF', True, 'itk::VectorImage< signed short,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3SSFF', True, 'itk::VectorImage< unsigned char,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIUC3UCFF', True, 'itk::VectorImage< unsigned char,3 >, unsigned char, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3SSFF', True, 'itk::VectorImage< float,3 >, signed short, float, float'),
  ('BayesianClassifierImageFilter', 'itk::BayesianClassifierImageFilter', 'itkBayesianClassifierImageFilterVIF3UCFF', True, 'itk::VectorImage< float,3 >, unsigned char, float, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterISS2F', True, 'itk::Image< signed short,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC2F', True, 'itk::Image< unsigned char,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF2F', True, 'itk::Image< float,2 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterISS3F', True, 'itk::Image< signed short,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIUC3F', True, 'itk::Image< unsigned char,3 >, float'),
  ('BayesianClassifierInitializationImageFilter', 'itk::BayesianClassifierInitializationImageFilter', 'itkBayesianClassifierInitializationImageFilterIF3F', True, 'itk::Image< float,3 >, float'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('ScalarImageKmeansImageFilter', 'itk::ScalarImageKmeansImageFilter', 'itkScalarImageKmeansImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
)
