depends = ('ITKPyBase', 'ITKThresholding', 'ITKSmoothing', 'ITKMathematicalMorphology', 'ITKImageIntensity', 'ITKImageGradient', )
templates = (
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsolatedWatershedImageFilter', 'itk::IsolatedWatershedImageFilter', 'itkIsolatedWatershedImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedFromMarkersImageFilter', 'itk::MorphologicalWatershedFromMarkersImageFilter', 'itkMorphologicalWatershedFromMarkersImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS2IUC2', True, 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterISS3IUC3', True, 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2ISS2', True, 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3ISS3', True, 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2ISS2', True, 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3ISS3', True, 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF2IUC2', True, 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('MorphologicalWatershedImageFilter', 'itk::MorphologicalWatershedImageFilter', 'itkMorphologicalWatershedImageFilterIF3IUC3', True, 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('TobogganImageFilter', 'itk::TobogganImageFilter', 'itkTobogganImageFilterIF3', True, 'itk::Image< float,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF2', True, 'itk::Image< float,2 >'),
  ('WatershedImageFilter', 'itk::WatershedImageFilter', 'itkWatershedImageFilterIF3', True, 'itk::Image< float,3 >'),
)
